Skip to main content
`Ctrl`+`K`

# PetscDrawMarkerType

How a “mark” is indicate in a figure

## Synopsis

    typedef enum {
      PETSC_DRAW_MARKER_CROSS,
      PETSC_DRAW_MARKER_POINT,
      PETSC_DRAW_MARKER_PLUS,
      PETSC_DRAW_MARKER_CIRCLE
    } PetscDrawMarkerType;

## Values

- `PETSC_MARKER_CROSS` - a small pixel based x symbol or the character x if that is not available

- `PETSC_MARKER_PLUS` - a small pixel based + symbol or the character + if that is not available

- `PETSC_MARKER_CIRCLE` - a small pixel based circle symbol or the character o if that is not available

- `PETSC_MARKER_POINT` - the make obtained with `PetscDrawPoint()`

## See Also

`PetscDraw`, `PetscDrawMarker()`, `PetscDrawSetMarkerType()`

## Level

intermediate

## Location

include/petscdraw.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages